﻿.popup-window {
    position: fixed;
    top: calc(50% - 200px);
    left: calc(50% - 300px);
    background: #fff;
    border: 3px solid var(--main-dark-color-lighter-1);
    border-radius: 5px;
    box-shadow: 2px 2px 20px rgba(0,0,0,0.7);
    z-index: 200;
}

    .popup-window .popup-window-exit {
        font-family: "Material Icons";
        position: absolute;
        top: 5px;
        right: 5px;
        background: #ffffff30;
        width: 24px;
        border-radius: 12px;
        text-align: center;
        cursor: pointer;
    }

        .popup-window .popup-window-exit:hover {
            background: #ffffff80;
        }

    .popup-window .type-title {
        font-weight: bold;
        background: var(--main-dark-color-lighter-1);
        color: #fff;
        margin-bottom: 10px;
        padding: 6px 5px 6px 12px;
        border-bottom: 2px solid var(--main-dark-color);
    }

.default-popup-contain {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: min-content max-content min-content;
}

    .default-popup-contain .change-item.type-title {
        grid-column: 1 / span 2;
        grid-row: 1;
    }

    .default-popup-contain .edit-fields {
        grid-column: 1 / span 2;
        grid-row: 2;
        align-self: start;
        justify-self: start;
        max-height: 400px;
        overflow-x: hidden;
        padding: 2px 10px;
    }

    .default-popup-contain .button-bar {
        grid-column: 1 / span 2;
        grid-row: 3;
        text-align: right;
        display: grid;
        grid-auto-columns: 1fr;
        grid-auto-flow: column;
    }

.change-popup-contain {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: minmax(0,1fr);
    height: 100%;
    grid-gap: 10px;
}

    .change-popup-contain .change-item.type-title {
        grid-column: 1 / span 2;
        grid-row: 1;
    }

    .change-popup-contain .change-items {
        /* grid-column: 1; */
        /* grid-row: 2; */
    }

    .change-popup-contain .edit-fields {
        /* grid-column: 2; */
        /* grid-row: 2; */
        align-self: start;
    }

    .change-popup-contain .button-bar {
        grid-column: 2;
        grid-row: 3;
        text-align: right;
        display: grid;
        grid-auto-columns: 1fr;
        grid-auto-flow: column;
    }

/* Buttons in Popup */

.button-text {
    height: 34px;
    display: inline-block;
    padding: 5px 15px;
    vertical-align: bottom;
    background: var(--main-accent-color-darker-1);
    font-weight: bold;
    box-shadow: 1px 1px 2px rgba(0,0,0,0.5);
    margin: 5px;
    text-align: center;
    text-decoration: none;
    color: white;
}

    .button-text:hover {
        filter: saturate(1.2) brightness(1.1);
        text-decoration: none;
    }

    .button-text.button-grey {
        background: var(--main-dark-color-lighter-1-5);
    }

    .button-text.button-red {
        background: var(--main-red-color);
    }

    .button-text.button-blue {
        background: var(--main-full-color);
    }

/* Edit Fields */
.edit-field input {
    background: none;
    border: 0;
    border-radius: 3px;
    top: -4px;
    padding: 0 5px;
    position: relative;
    color: #fff;
}

.Type-Select {
    height: 32px;
    margin-left: 13px;
}

.config-bar {
    margin: 0 0px 8px 8px;
}

.edit-fields {
    display: grid;
    grid-template-columns: max-content 1fr;
    grid-auto-rows: max-content;
    overflow-y: auto;
}

.edit-settings-fields {
    display: grid;
    grid-template-columns: max-content 1fr;
    grid-auto-rows: max-content;
    overflow-y: auto;
}

.edit-fields input {
    margin: 0 0px 8px 8px;
    background: #fff;
    padding: 0 10px;
    border-bottom-width: 1px;
    border-top-width: 0px;
    border-left-width: 0px;
    border-right-width: 0px;
    border-color: black;
}

    .edit-fields input[type=checkbox] {
        position: relative;
        top: 10px;
        left: 8px;
    }

.edit-fields label {
    padding: 5px;
}

.edit-field-w2 {
    grid-column: span 2;
}

.edit-fields textarea {
    resize: none;
    border-radius: 5px;
    background: rgba(255,255,255,0.5);
    border: none;
    padding: 6px;
}

.tagbox-token {
    background-color: #d1dae4 !important;
    color: #383838 !important;
    border-radius: 9px !important;
    background-image: none !important;
}
